Retrieves the equipment_family object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
equipment_family| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| name |
Name of the equipment family |
string |
Required Max length: 50 |
| description |
Description of the equipment family |
string |
Max length: 4000 |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| _parent_id |
Parent Equipment Family (Parent / Child) when adding/updating equipment_family |
globally unique identifier | |
| _parent_code |
Embedded entity "equipment_family" for parent (Parent / Child) using ERP PK when adding/updating equipment_family |
string | |
| _parent_equipment_family |
Embedded entity "equipment_family" for parent (Parent / Child) when adding/updating equipment_family |
equipment_family | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "ebb8abac-451e-4c7b-86a0-86e8b08b3ec2",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "124eb57a-c049-4d0d-91a9-938e9c7aabe2",
"_parent_code": "sample string 6",
"sales_organization_id": "dcb0f510-5f12-471d-b55b-e7ad653b5914",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "e16d8459-19bd-4ebb-a26b-9ee92ea66852",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9cfc5a76-3458-4612-8d86-0e016c6f16d3",
"db_currency_id": "d4cb9afe-29a9-4a59-9265-3208f50c5d68",
"db_language_id": "9429b8d0-ac16-4aa6-a0ed-4864db58de44",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-04-14T05:29:49.3332249+00:00"
},
"modified_dateutc": "2026-04-14T05:29:49.3332249+00:00"
}